package com.hai.schedule;

import com.hai.entity.HighOrder;
import com.hai.service.HighOrderService;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;
import javax.xml.ws.RespectBinding;
import java.util.List;

/**
 * @Auther: 胡锐
 * @Description: 订单定时任务
 * @Date: 2021/3/27 15:41
 */
@Configuration
public class HighOrderSchedule {

    @Resource
    private HighOrderService highOrderService;

    @Scheduled(cron="0 0/1 * * * ?")   //每1分钟执行一次
    public void certification() {

        List<HighOrder> orderList = highOrderService.getCloseOrder();
        if (orderList != null && orderList.size() > 0) {
            for (HighOrder order : orderList) {
                highOrderService.cancelOrder(order.getId());
            }
        }
    }
}
